import { SFC, ComponentType } from 'react';
import { RouteComponentProps } from 'react-router-dom';
import { Entry } from '../theme';
export declare type PageProps = RouteComponentProps<any> & {
    doc: Entry;
};
export declare type RenderComponent = ComponentType<{
    component: JSX.Element;
    code: any;
}>;
export declare const DefaultRender: RenderComponent;
export interface ComponentsMap {
    loading?: ComponentType;
    page?: ComponentType<PageProps>;
    notFound?: ComponentType<RouteComponentProps<any>>;
    render?: RenderComponent;
    h1?: ComponentType<any> | string;
    h2?: ComponentType<any> | string;
    h3?: ComponentType<any> | string;
    h4?: ComponentType<any> | string;
    h5?: ComponentType<any> | string;
    h6?: ComponentType<any> | string;
    span?: ComponentType<any> | string;
    a?: ComponentType<any> | string;
    ul?: ComponentType<any> | string;
    table?: ComponentType<any> | string;
    pre?: ComponentType<any> | string;
    code?: ComponentType<any> | string;
    inlineCode?: ComponentType<any> | string;
    [key: string]: any;
}
export interface DocPreviewProps {
    components: ComponentsMap;
}
export declare const DocPreview: SFC<DocPreviewProps>;
